#!/bin/bash
set -e

if [ "$#" -ne 2 ]; then
    echo "need 2 parameters : python_version and openssl_version"
    echo "example : 3.8.19 3.1.6"
    exit
fi

python_version="$1"
openssl_version="$2"

rm -Rf /opt/python38

wget https://www.openssl.org/source/openssl-${openssl_version}.tar.gz --directory-prefix=/root
wget https://www.python.org/ftp/python/$1/Python-${python_version}.tgz --directory-prefix=/root
wget https://kerberos.org/dist/krb5/1.21/krb5-1.21.2.tar.gz --directory-prefix=/root
wget https://github.com/OpenSC/libp11/archive/refs/tags/libp11-0.4.12.tar.gz --directory-prefix=/root
wget https://ftp.postgresql.org/pub/source/v14.12/postgresql-14.12.tar.bz2 --directory-prefix=/root
wget https://github.com/libffi/libffi/releases/download/v3.4.6/libffi-3.4.6.tar.gz --directory-prefix=/root
wget https://ftp.gnu.org/gnu/readline/readline-8.2.tar.gz --directory-prefix=/root
wget https://ftp.gnu.org/pub/gnu/gdbm/gdbm-1.23.tar.gz --directory-prefix=/root
wget https://github.com/thkukuk/libnsl/releases/download/v2.0.1/libnsl-2.0.1.tar.xz --directory-prefix=/root