# -*- coding: utf-8 -*-
from setupdevhelpers import *
from waptutils import CustomZipFile
from waptutils import create_recursive_zip

import distro
import platform

python_name_file = str(platform.system().lower() + '_' + platform.machine().lower() + '_' .strip('_'))

def update_package():


    colum1 = bs_find_all('https://www.python.org/downloads/source/','div','class',"column")[0].findAll('li')
    versionpython = None
    for entry in colum1:
        if versionpython:
            continue
        if not hasattr(entry,'contents'):
            continue
        for i in entry.contents :
            if not hasattr(i,'contents'):
                continue
            v = [t for t in i.contents if str(t).startswith('Python 3.8')]
            if v:
                versionpython = v[0].split(' ')[1]
                break
                
    openssl_version = '3.1.6' 
 
    filecopyto('patch_p11_attr.patch','/root/patch_p11_attr.patch')

    run("chmod a+x *.sh")
    run("bash step1_compile_python_create_debootstrap.sh %s %s" % (versionpython, openssl_version), timeout=1200)
    run('rm -f /usr/lib64/libgdbm*')
    run("bash step2_compile_python_in_debootstrap.sh %s %s" % (versionpython, openssl_version), timeout=1200)
    remove_file("step1_compile_python_create_debootstrap.sh")
    remove_file("step2_compile_python_in_debootstrap.sh")

    run('tar -zcf %s/python-%s.tar.gz -C /opt/python38/ .' % (basedir,python_name_file))
    
    control.version = "%s-%s" % (Version(versionpython), control.version.split("-", 1)[-1])
    control.save_control_to_wapt()
